## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenMeshSkeletonScript Struct Reference
[Mesh plugins, Mesh plugins]

@@ Document me More...

`#include <imesh/gmeshskel.h>`

Inheritance diagram for iGenMeshSkeletonScript:

[legend]
List of all members.

## Public Member Functions

virtual float | GetFactor ()=0
| Get script influence factor.
virtual const char * | GetName ()=0
| Get script name.
virtual float | GetSpeed ()=0
| Get speed factor (similar to GetTime).
virtual size_t | GetTime ()=0
| Get script time.
virtual void | SetFactor (float factor)=0
| Set script infuence factor.
virtual void | SetSpeed (float speed)=0
| Set speed factor(similar to SetTime).
virtual void | SetTime (size_t time)=0
| Set script time.

## Detailed Description

@@ Document me

Definition at line 284 of file gmeshskel.h.

## Member Function Documentation

virtual float iGenMeshSkeletonScript::GetFactor | ( |  | ) | `[pure virtual]`

| Get script influence factor.

virtual const char* iGenMeshSkeletonScript::GetName | ( |  | ) | `[pure virtual]`

| Get script name.

virtual float iGenMeshSkeletonScript::GetSpeed | ( |  | ) | `[pure virtual]`

| Get speed factor (similar to GetTime).

virtual size_t iGenMeshSkeletonScript::GetTime | ( |  | ) | `[pure virtual]`

| Get script time.

virtual void iGenMeshSkeletonScript::SetFactor | ( | float | factor | ) | `[pure virtual]`

| Set script infuence factor.

virtual void iGenMeshSkeletonScript::SetSpeed | ( | float | speed | ) | `[pure virtual]`

| Set speed factor(similar to SetTime).

virtual void iGenMeshSkeletonScript::SetTime | ( | size_t | time | ) | `[pure virtual]`

| Set script time.

The documentation for this struct was generated from the following file:

- imesh/gmeshskel.h